Subject: [PATCH] guix/import/cabal: handle braced descriptions (fixes #35735)

From: Robert Vollmert <[email-masked]>
Date: Tue, 21 May 2019 15:55:03 +0200

This fixes the cabal importer to deal with braced instead of layouted
properties. This is based on the current approach of lexing a whole
property as a token; it feels not ideal, but I’m not fluent enough in
guile (or the cabal format) to do better.

Compare https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35735